Discuss this help topic in SecureBlackbox Forum

TElServerSSLSocket.Versions

TElServerSSLSocket     See also     


Filter: C#/Java  VB.NET  Pascal  C++  PHP  


Specifies allowed SSL/TLS versions.

Declaration

[C#/Java]
    not available

[VB.NET]
    not available

[Pascal]
    not implemented;

[C++]
    not available

[PHP]
    not available

Values:


Description

    This property defines which SSL/TLS versions are allowed to be used during SSL/TLS session. By default all versions are allowed. The application can disable undesired versions. It is not possible to disable SSL3 if TLS1 and SSL2 are both enabled.
     Note, to enable several SSL versions use bitwise OR operation, for example …sbSSL2 | sbSSL3 | sbTLS1….

    Example:  The following shows how to set the property for different SecureBlackbox editions:

[C#/Java]
    TElSSLSocket.Versions = SBConstants.Unit.sbSSL2 | SBConstants.Unit.sbSSL3 | SBConstants.Unit.sbTLS1;

[VB.NET]
    TElSSLSocket.Versions = SBConstants.Unit.sbSSL2 Or SBConstants.Unit.sbSSL3 Or SBConstants.Unit.sbTLS1

[Pascal]
    TElSSLSocket.Versions = sbSSL2 or sbSSL3 or sbTLS1;

See also:     CurrentVersion    

Discuss this help topic in SecureBlackbox Forum